<?php

include '../../../script/conexion.php';

$id = $_POST['id'];
$id_compra = $_POST['id_compra'];
$referencia_producto = $_POST['referencia_producto'];
$cantidad = $_POST['cantidad'];
$costo_unidad = $_POST['costo_unidad'];

$total = $cantidad * $costo_unidad;

$sql = "UPDATE  alm_compra_detalle  SET     referencia_producto='$referencia_producto',
                                        cantidad='$cantidad',
                                        costo_unidad='$costo_unidad',
                                        total='$total'                             

                                        WHERE id='$id'";
if ($conn->query($sql) === TRUE) {
    echo '<script language = javascript>
                        self.location = "../compra-detalle.php?id_compra=' . $id_compra . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}